Subject: Re: cvs+ssh (client on Win98) hangs when finished
From: Nathan Meyers <[email-masked]>
To: David Starks-Browning <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Sep 2001 11:43:35 -0700

On Sat, Sep 15, 2001 at 07:12:03PM +0100, David Starks-Browning wrote:
Content-Description: message body text
> Greetings,
> 
> I'm using cygwin snapshot 20010914 on win98 (so that ssh-agent+ssh-add
> work).
> 
> CVS (the latest cygwin package) appears to hang after completion, but
> only when used with ssh.

This has been a longstanding problem with the cygwin cvs/ssh
combination. I've done a fair amount of searching for more information
and have come up dry. I did run across a suggestion that the problem
appeared after certain changes were made to the openssh server. I've
also run across some detailed analyses of what's going wrong. The one
thing I haven't run across is a fix :-(.

About all I can tell you is that everything still works, and you just
need to ctrl-C to get out of it. The good news with commits is that
they give you a "done" message so, even though you're hung, you have
some confirmation that the individual file commits did indeed take
place.

Hope that helps a little...

Nathan Meyers
[email-masked]

> 
> If I check out Cygwin from anonymous CVS, it works fine.  This entails
> login to ":pserver:[email-masked]:/cvs/src" with password
> "anoncvs".
> 
> But if I use ssh to authenticate to the secure CVS server at
> ":ext:[email-masked]:/cvs/src/", then it seems
> to do everything properly, except at the end, where it "hangs"
> indefinitely.  Eventually I interrupt it with ^C:
> 
> > ...
> > cvs server: Updating winsup/w32api
> > cvs server: Updating winsup/w32api/include
> > cvs server: Updating winsup/w32api/lib
> > Killed by signal 2.
> > cvs [update aborted]: received interrupt signal
> 
> This happens for checkout and update.  (I don't dare attempt a commit
> unless I'm sure it's working properly!)
> 
> I get the same behaviour regardless of whether I use ssh-agent to
> authenticate.
> 
> I can't tell you whether this has ever worked for me.  I think I had
> the same problem in cygwin 1.3.2 also.
> 
> Currently I have to boot into Linux solely for Cygwin FAQ
> maintainance, which is a bit disruptive.  It would be perfect if I
> could do everything from Win98!
> 
> Attached below is cygcheck -s -r -v output.
> 
> Thanks for your help.
> 
> Regard,
> David
> 

Content-Description: cygcheck output
> 
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Sat Sep 15 19:11:08 2001
> 
> Win9X Ver 4.10 build 67766222  
> 
> Path:	/usr/local/bin
> 	/bin
> 	/c/WINDOWS/COMMAND
> 	/c/WINDOWS
> 
> SysDir: C:\WINDOWS\SYSTEM
> WinDir: C:\WINDOWS
> 
> PWD = `/home/starksb'
> USER = `starksb'
> MAKE_MODE = `unix'
> HOME = `/home/starksb'
> 
> PROMPT = `$p$g'
> COLORFGBG = `15;default;0'
> COMSPEC = `C:\WINDOWS\COMMAND.COM'
> WINDOWID = `72941632'
> PAGER = `less'
> CMDLINE = `WIN'
> HOSTNAME = `AMD'
> WINDIR = `C:\WINDOWS'
> MANPATH = `/usr/local/man:/usr/man:/usr/local/xemacs-21.1.12/man'
> WINBOOTDIR = `C:\WINDOWS'
> PS1 = `\[[1m\]starksb@\h:\w/\[[0m\]\n[\!] \$ '
> BLASTER = `A220 I5 D1 H5 P330 T6'
> LESS = `-X'
> MACHTYPE = `i686-pc-cygwin'
> OLDPWD = `/home/starksb/src/cvs/sourceware.cygnus.com/davidsb/src'
> CVS_RSH = `ssh'
> TEMP = `/c/WINDOWS/TEMP'
> COLORTERM = `rxvt-xpm'
> DISPLAY = `:0'
> SHLVL = `1'
> SHELL = `/bin/bash'
> HOSTTYPE = `i686'
> OSTYPE = `cygwin'
> TERM = `xterm'
> LESSCHARSET = `latin1'
> _ = `/bin/cygcheck'
> TZ = `GMTST0GMTDT-1,M3.5.0/2,M10.5.0/3'
> 
> HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu\&Programs\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu\&Programs\Cygnus Solutions\Menu
>   (default) = (unsupported type)
> HKEY_CURRENT_USER\Software\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000022
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/c
>   (default) = `C:'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/m
>   (default) = `M:'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/n
>   (default) = `N:'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/o
>   (default) = `O:'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/p
>   (default) = `P:'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/local/bin
>   (default) = `C:\cygwin\usr\local\bin'
>   flags = 0x0000001a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/PalmDev
>   (default) = `C:\PalmDev'
>   flags = 0x00000008
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/PalmDev/include
>   (default) = `C:\PalmDev\include'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib/gcc-lib/m68k-palmos/2.95.3-kgpd
>   (default) = `C:\cygwin\lib\gcc-lib\m68k-palmos\2.95.3-kgpd'
>   flags = 0x00000008
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `C:/cygwin'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
>   (default) = `C:/cygwin/bin'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
>   (default) = `C:/cygwin/lib'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Program Options
> 
> a:  fd           N/A    N/A                    
> c:  hd  FAT32   4024Mb  87% CP    UN           
> d:  cd  CDFS     501Mb 100%                    Audio CD
> m:  net          N/A    N/A                    
> n:  net          N/A    N/A                    
> o:  net          N/A    N/A                    
> p:  net          N/A    N/A                    
> 
> C:\cygwin\lib\gcc-lib\m68k-palmos\2.95.3-kgpd  /usr/lib/gcc-lib/m68k-palmos/2.95.3-kgpd  system  textmode
> C:\cygwin\usr\local\bin  /usr/local/bin  system  binmode,exec
> C:\PalmDev\include  /PalmDev/include  system  binmode
> C:\cygwin\bin  /usr/bin  system  binmode
> C:\cygwin\lib  /usr/lib  system  binmode
> C:\PalmDev  /PalmDev  system  textmode
> C:\cygwin  /        system  binmode
> C:    /c       system  binmode
> M:    /m       system  binmode
> N:    /n       system  binmode
> O:    /o       system  binmode
> P:    /p       system  binmode
> d:    /cygdrive/d  user    binmode,noumount
> 
> Found: C:\cygwin\bin\bash.exe
> Found: C:\cygwin\bin\cat.exe
> Found: C:\cygwin\bin\cpp.exe
> Found: C:\cygwin\bin\find.exe
> Found: C:\WINDOWS\COMMAND\find.exe
> Warning: C:\cygwin\bin\find.exe hides C:\WINDOWS\COMMAND\find.exe
> Found: C:\cygwin\bin\gcc.exe
> Found: C:\cygwin\bin\gdb.exe
> Found: C:\cygwin\bin\ld.exe
> Found: C:\cygwin\bin\ls.exe
> Found: C:\cygwin\bin\make.exe
> Found: C:\cygwin\bin\sh.exe
> 
>    56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
>                   "cygbz21.0.dll" v0.0 ts=2000/11/20 23:53
>    81k 2001/04/28 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitcl30.dll" v0.0 ts=2001/4/28 23:57
>    35k 2001/04/28 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitk30.dll" v0.0 ts=2001/4/28 23:57
>   390k 2001/04/28 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtcl80.dll" v0.0 ts=2001/4/28 23:56
>     5k 2001/04/28 C:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
>    10k 2001/04/28 C:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtclreg80.dll" v0.0 ts=2001/4/28 23:56
>   623k 2001/04/28 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtk80.dll" v0.0 ts=2001/4/28 23:57
>    18k 2000/10/23 C:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
>                   "cyggdbm.dll" v0.0 ts=2000/10/23 3:26
>    21k 2001/06/20 C:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
>                   "cygintl.dll" v0.0 ts=2001/6/20 18:09
>    45k 2001/07/04 C:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygjbig1.dll" v0.0 ts=2001/7/4 4:25
>   119k 2001/06/06 C:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
>                   "cygjpeg6b.dll" v0.0 ts=2001/6/6 5:27
>   163k 2001/05/06 C:\cygwin\bin\cygpng2.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpng2.dll" v0.0 ts=2001/5/6 5:05
>    45k 2001/04/25 C:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygform5.dll" v0.0 ts=2001/4/25 6:28
>    26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygmenu5.dll" v0.0 ts=2001/4/25 6:27
>   156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygncurses++5.dll" v0.0 ts=2001/4/25 6:29
>   226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygncurses5.dll" v0.0 ts=2001/4/25 6:17
>    15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpanel5.dll" v0.0 ts=2001/4/25 6:27
>    17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
>                   "cyghistory4.dll" v0.0 ts=2001/1/7 4:34
>    21k 2001/06/28 C:\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
>                   "cyghistory5.dll" v0.0 ts=2001/6/28 3:27
>   108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
>                   "cygreadline4.dll" v0.0 ts=2001/1/7 4:34
>   135k 2001/06/28 C:\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygreadline5.dll" v0.0 ts=2001/6/28 3:27
>   245k 2001/06/12 C:\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtiff3.dll" v0.0 ts=2001/6/12 18:25
>    41k 2001/07/04 C:\cygwin\bin\cygXpm-noX4.dll - os=4.0 img=1.0 sys=4.0
>                   "cygXpm-noX4.dll" v0.0 ts=2001/7/4 2:21
>    45k 2001/07/04 C:\cygwin\bin\cygXpm-X4.dll - os=4.0 img=1.0 sys=4.0
>                   "cygXpm-X4.dll" v0.0 ts=2000/11/20 2:45
>    49k 2001/02/03 C:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
>                   "cygz.dll" v0.0 ts=2001/2/3 20:35
>   703k 2001/09/14 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2001/9/14 5:48
>     Cygwin DLL version info:
>         dll major: 1003
>         dll minor: 4
>         dll epoch: 19
>         dll bad signal mask: 19005
>         dll old termios: 5
>         dll malloc env: 28
>         api major: 0
>         api minor: 46
>         shared data: 3
>         dll identifier: cygwin1
>         mount registry: 2
>         cygnus registry name: Cygnus Solutions
>         cygwin registry name: Cygwin
>         program options name: Program Options
>         cygwin mount registry name: mounts v2
>         cygdrive flags: cygdrive flags
>         cygdrive prefix: cygdrive prefix
>         cygdrive default prefix: 
>         build date: Fri Sep 14 00:48:15 EDT 2001
>         snapshot date: 20010914-00:43:59
>         shared id: cygwin1S3
> 
> Use -h to see help about each section
> 

> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/